### A free/open-source library for quantitative finance

Public Member Functions
TreeVanillaSwapEngine Class Reference

Numerical lattice engine for simple swaps. More...

`#include <ql/pricingengines/swap/treeswapengine.hpp>`

Inheritance diagram for TreeVanillaSwapEngine:
[legend]

List of all members.

## Public Member Functions

void | calculate () const
Constructors

Note:
  the term structure is only needed when the short-rate model cannot provide one itself.

| TreeVanillaSwapEngine (const boost::shared_ptr< ShortRateModel > &, Size timeSteps, const Handle< YieldTermStructure > &termStructure=Handle< YieldTermStructure >())
| TreeVanillaSwapEngine (const boost::shared_ptr< ShortRateModel > &, const TimeGrid &timeGrid, const Handle< YieldTermStructure > &termStructure=Handle< YieldTermStructure >())

## Detailed Description

Numerical lattice engine for simple swaps.

Tests:
  calculations are checked against known good results